class Rebels::RailsAdapters::ExternalsAdapter
  def initialize(controller, db)
    @controller = controller
    @db = db
  end

  def db
    @db
  end

  def render(*args, &blk)
    @controller.render(*args, &blk)
  end

  def head(*args, &blk)
    @controller.head(*args, &blk)
  end
end
