require 'values'
require_relative './with'

class Rebels::Values::Response < Value.new(:session, :redirect_path, :template_name, :text, :template_vars, :status, :json, :source, :layout)
  include Rebels::Values::With

  def session
    @session || {}
  end

  def layout
    @layout.nil? && true || @layout
  end

  def template_vars
    @template_vars || {}
  end

end
