class Rebels::RailsAdapters::Database
  def initialize(tables)
    @tables = tables
  end
  def insert(table, record)
    @tables[table].first.create!(record.attributes)
  end
  def where(table, filters)
    @tables[table].first.where(filters).map do |ar|
      keys = @tables[table].last.with({}).attributes.keys
      attrs = keys.reduce({}){|m,e| m.merge(e => ar.attributes[e.to_s])}
      @tables[table].last.with(attrs)
    end
  end
  def update(table, id, attrs)
    @tables[table].first.find(id).update_attributes(attrs)
  end
end
